----------------------------------
--      Module Declaration      --
----------------------------------

local boss = BB["Volkhan"]
local mod = BigWigs:New(boss, tonumber(("$Revision: 550 $"):sub(12, -3)))
if not mod then return end
mod.partycontent = true
mod.otherMenu = "The Storm Peaks"
mod.zonename = BZ["Halls of Lightning"]
mod.enabletrigger = boss
mod.guid = 28587
mod.toggleoptions = {"stomp", "stompBar", "bosskill"}

--------------------------------
--        Localization        --
--------------------------------

local L = AceLibrary("AceLocale-2.2"):new("BigWigs"..boss)

L:RegisterTranslations("enUS", function() return {
	cmd = "Volkhan",
	stomp = "Shattering Stomp",
	stompBar = "Shattering Stomp Bar",
	stompBar_desc = "Display a casting bar for Shattering Stomp.",
	stomp_desc = "Warn when Volkhan is going to shatter all his Brittle Golems.",
	stomp_message = "Casting Shattering Stomp",
}

end )

L:RegisterTranslations("deDE", function() return {
	cmd = "Volkhan",
	stomp = "Zerschmetterndes Stampfen",
	stompBar = "Zerschmetterndes Stampfen-Anzeige",
	stompBar_desc = "Eine Zauberleiste für Zerschmetterndes Stampfen anzeigen.",
	stomp_desc = "Warnen wenn Volkhan alle seine brüchigen Golems zerschmettert.",
	stomp_message = "Zaubert Zerschmetterndes Stampfen!",
}

end )

L:RegisterTranslations("esES", function() return {
}

end )

L:RegisterTranslations("esMX", function() return {
}

end )

L:RegisterTranslations("frFR", function() return {
	cmd = "Volkhan",
	stomp = "Piétinement fracassant",
	stompBar = "Piétinement fracassant - Barre",
	stompBar_desc = "Affiche une barre indiquant le temps d'incantation du Piétinement fracassant.",
	stomp_desc = "Prévient quand Volkhan est sur le point de briser tous ses Golems vermoulus.",
	stomp_message = "Piétinement fracassant en incantation",
}

end )

L:RegisterTranslations("koKR", function() return {
	cmd = "볼칸",
	stomp = "분쇄의 발구르기",
	stompBar = "분쇄의 발구르기 바",
	stompBar_desc = "분쇄의 발구르기 시전 바를 표시합니다.",
	stomp_desc = "볼칸 빛바랜 골렘 폭파 & 분쇄의 발구르기를 알립니다.",
	stomp_message = "분쇄의 발구르기 시전",
}

end )

L:RegisterTranslations("ruRU", function() return {
	stomp = "Раскатистый топот",
	stompBar = "Полоса Раскатистого топота",
	stompBar_desc = "Отображать полосу применения Раскатистого топота.",
	stomp_desc = "Предупреждать, когда Волхан собирается раскалоть все хладные големы.",
	stomp_message = "Применяется раскатистый топот!",
}

end )

L:RegisterTranslations("zhCN", function() return {
	stomp = "粉碎践踏",
	stompBar = "粉碎践踏计时条",
	stompBar_desc = "当正在施放粉碎践踏时发出警报。",
	stomp_desc = "当沃尔坎粉碎践踏他的脆弱的傀儡时发出警报。",
	stomp_message = "正在施放 粉碎践踏！",
}

end )

L:RegisterTranslations("zhTW", function() return {
	cmd = "渥克瀚",
	stomp = "破碎踐踏",
	stompBar = "粉碎踐踏計時條",
	stompBar_desc = "當正在施放粉碎踐踏時顯示計時條。",
	stomp_desc = "當渥克瀚破碎踐踏他的脆弱的傀儡時發出警報。",
	stomp_message = "正在施放 破碎踐踏！",
}

end )

----------------------------------
--        Initialization        --
----------------------------------

function mod:OnEnable()
	self:AddCombatListener("SPELL_CAST_START", "Stomp", 52237, 59529)
	self:AddCombatListener("UNIT_DIED", "BossDeath")
end

----------------------------------
--        Event Handlers        --
----------------------------------

function mod:Stomp(_, spellId, _, _, spellName)
	if self.db.profile.stomp then
		self:IfMessage(L["stomp_message"], "Urgent", spellId)
	end
	if self.db.profile.stompBar then
		self:Bar(spellName, 3, spellId)
	end
end
