----------------------------------
--      Module Declaration      --
----------------------------------

local boss = BB["Slad'ran"]
local mod = BigWigs:New(boss, tonumber(("$Revision: 543 $"):sub(12, -3)))
if not mod then return end
mod.partyContent = true
mod.otherMenu = "Zul'Drak"
mod.zonename = BZ["Gundrak"]
mod.enabletrigger = boss 
mod.guid = 29304
mod.toggleoptions = {"poison", "poisonBar", "bosskill"}

----------------------------------
--         Localization         --
----------------------------------

local L = AceLibrary("AceLocale-2.2"):new("BigWigs"..boss)

L:RegisterTranslations("enUS", function() return {
	cmd = "Slad'ran",
	poison = "Poison Nova",
	poisonBar = "Poison Nova Bar",
	poisonBar_desc = "Display a bar for the duration of Poison Nova debuff.",
	poison_desc = "Warn when a player has the Poison Nova debuff.",
	poison_message = "Poison Nova: %s",
}

end )

L:RegisterTranslations("deDE", function() return {
	cmd = "Slad'ran",
	poison = "Giftnova",
	poisonBar = "Giftnova-Anzeige",
	poisonBar_desc = "Eine Leiste für die verbleibende Dauer der Giftnova anzeigen.",
	poison_desc = "Warnen wenn ein Spieler von der Giftnova betroffen ist.",
	poison_message = "Giftnova: %s",
}

end )

L:RegisterTranslations("esES", function() return {
}

end )

L:RegisterTranslations("esMX", function() return {
}

end )

L:RegisterTranslations("frFR", function() return {
	cmd = "Slad'ran",
	poison = "Nova de poison",
	poisonBar = "Nova de poison - Barre",
	poisonBar_desc = "Affiche une barre indiquant la durée de la Nova de poison.",
	poison_desc = "Prévient quand un joueur subit les effets de la Nova de poison.",
	poison_message = "Nova de poison : %s",
}

end )

L:RegisterTranslations("koKR", function() return {
	cmd = "슬라드란",
	poison = "독 회오리",
	poisonBar = "독 회오리 바",
	poisonBar_desc = "독 회오리 디버프가 지속되는 바를 표시합니다.",
	poison_desc = "독 회오리 디버프에 걸린 플레이어를 알립니다.",
	poison_message = "독 회오리: %s",
}

end )

L:RegisterTranslations("ruRU", function() return {
	poison = "Ядовитая звезда",
	poisonBar = "Полоса Ядовитой звезды",
	poisonBar_desc = "Отображать полосу продолжительности дебаффа Ядовитой звезды.",
	poison_desc = "Предупреждать когда игрок получает дебафф Ядовитой звезды.",
	poison_message = "Ядовитая звезда: %s",
}

end )

L:RegisterTranslations("zhCN", function() return {
	poison = "毒性新星",
	poisonBar = "毒性新星计时条",
	poisonBar_desc = "当毒性新星减益持续时显示计时条。",
	poison_desc = "当玩家中了毒性新星减益时发出警报。",
	poison_message = ">%s<：毒性新星！",
}

end )

L:RegisterTranslations("zhTW", function() return {
	cmd = "史拉德銳",
	poison = "劇毒新星",
	poisonBar = "劇毒新星計時條",
	poisonBar_desc = "當劇毒新星減益持續時顯示計時條。",
	poison_desc = "當玩家中了劇毒新星減益時發出警報。",
	poison_message = ">%s<：劇毒新星！",
}

end )

----------------------------------
--        Initialization        --
----------------------------------

function mod:OnEnable()
	self:AddCombatListener("SPELL_AURA_APPLIED", "Poison", 55081, 59842)
	self:AddCombatListener("SPELL_AURA_REMOVED", "PoisonRemoved", 55081, 59842)
	self:AddCombatListener("UNIT_DIED", "BossDeath")
end

----------------------------------
--        Event Handlers        --
----------------------------------

function mod:Poison(player, spellId, _, _, spellName)
	if self.db.profile.poison then
		self:IfMessage(L["poison_message"]:format(player), "Urgent", spellId)
	end
	if self.db.profile.poisonBar then
		self:Bar(L["poison_message"]:format(player), 6, spellId)
	end
end

function mod:PoisonRemoved(player)
	if self.db.profile.poisonBar then
		self:TriggerEvent("BigWigs_StopBar", self, L["poison_message"]:format(player))
	end
end
